package net.sf.doolin.template;

/**
 * Message codes for the Template Extension.
 * 
 * @author Damien Coraboeuf
 */
public interface TemplateMessages {

	/**
	 * No template engine can be found for name {0}.
	 */
	String CANNOT_FIND_ENGINE = "net.sf.doolin.template.CannotFindEngine";

	/**
	 * Cannot generate template:\n{0}
	 */
	String CANNOT_GENERATE_TEMPLATE = "net.sf.doolin.template.CannotGenerateTemplate";

	/**
	 * Cannot initialize "{0}" engine.\n{1}
	 */
	String CANNOT_INITIALIZE_ENGINE = "net.sf.doolin.template.CannotInitializeEngine";

	/**
	 * Cannot create template from \"{1}\" for \"{0}\" engine.\n{2}
	 */
	String CANNOT_CREATE_TEMPLATE = "net.sf.doolin.template.CannotCreateTemplate";

}
